Subject: Re: [PATCH 2/2] name-rev: learn --format=<pretty>

From: "Kristoffer Haugsbakk" <[email-masked]>
Date: Wed, 18 Mar 2026 16:36:50 +0100

On Tue, Mar 17, 2026, at 23:07, Kristoffer Haugsbakk wrote:
>>[snip]
>>
>> Or there may not be---I did not check, but you as the author must
>> have already checked, hence this question.
>
> This is supposed to be tested by `--name-rev --format=<pretty> with a
> note`; it has a note on the first revision but not the second.
>
> Here we never use this pointer again and we get a fresh pointer from the
> strbuf before freeing again (whether it gets populated with a pointer or
> not).

Here I meant to write: “whether it gets populated with any note data
or not”.

>
> But it does sound better to just null it. There’s no need to have it
> laying around.
>[snip]